---
kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: runner-role
rules:
  - apiGroups: [ "tekton.dev" ]
    resources: [ "pipelineruns" ]
    verbs: [ "get", "create" ]
  - apiGroups: [ "tekton.dev" ]
    resources: [ "pipelines" ]
    verbs: [ "get" ]
---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: run-bot-to-runner-role
roleRef:
  kind: Role
  name: runner-role
  apiGroup: rbac.authorization.k8s.io
subjects:
  - kind: ServiceAccount
    name: run-bot
---
apiVersion: batch/v1
kind: CronJob
metadata:
  name: scrape-pipelinerun
spec:
  schedule: "20 02 * * *"
  concurrencyPolicy: Forbid
  failedJobsHistoryLimit: 3
  successfulJobsHistoryLimit: 3
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: Never
          serviceAccount: run-bot
          containers:
            - name: kubectl
              image: image-registry.openshift-image-registry.svc:5000/openshift/cli:latest
              envFrom:
                - configMapRef:
                    name: env-cm
              command:
                - /bin/bash
                - -c
                - |
                  kubectl create -f - << EOF
                  apiVersion: tekton.dev/v1
                  kind: PipelineRun
                  metadata:
                    generateName: scrape-pipelinerun-
                  spec:
                    params:
                    - name: tag
                      value: ${ENV}
                    pipelineRef:
                      name: scrape-pipeline
                    timeouts:
                      pipeline: 8h0m0s
                    taskrunTemplate:
                      serviceAccountName: run-bot
                  EOF
